Bug 1409485 - [RFE]: Add option to overwrite previous backup (old behavior)
Summary: [RFE]: Add option to overwrite previous backup (old behavior)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Christine Fouant
QA Contact: Ales Dujicek
URL:
Whiteboard:
: 1409481 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 08:34 UTC by Peter Ondrejka
Modified: 2019-11-05 23:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 18358 None None None 2017-02-01 21:04:09 UTC

Description Peter Ondrejka 2017-01-02 08:34:10 UTC
Creating this bug as a result of discussion in https://bugzilla.redhat.com/show_bug.cgi?id=1377636#c10

After 1377636, katello-backup always creates a subdirectory in the specified dir (both for normal and incremental backup), whereas before the fix katello-backup overwrote previous backups existing in the specified directory. This RFE asks for a fallback option to previous behavior for cases when katello-backup is run as a scheduled task -- to prevent piling-up the back-up content.

Comment 1 Daniel Lobato Garcia 2017-01-02 12:52:28 UTC
*** Bug 1409481 has been marked as a duplicate of this bug. ***

Comment 2 Christine Fouant 2017-02-01 21:04:07 UTC
Created redmine issue http://projects.theforeman.org/issues/18358 from this bug

Comment 3 pm-sat@redhat.com 2017-07-05 14:12:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18358 has been resolved.

Comment 6 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.